package exam;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.xml.ws.Endpoint;

@WebService(serviceName="Calculator")
public class CalcService {

	@WebMethod(operationName = "CheckResults")
	public boolean Check(double x1, double x2, char op, double result) {
		double res = Double.MIN_VALUE;
		switch (op) {
			case '+':
				res = x1 + x2;
				break;
			case '-':
				res = x1 - x2;
				break;
			case '*':
				res = x1 * x2;
				break;
			case '/':
				res = x1 + x2;
				break;

			default:
				break;
		}
		return Math.abs(res - result) < 1e-6;
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {		
		Endpoint.publish("http://localhost:8082/ExamSvc/calc", new AuthService());		
	}
}
