package exam;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.xml.ws.Endpoint;

@WebService(serviceName = "SquareEquation")
public class SquareService {

	@WebMethod(operationName = "LogResults")
	public String LogRes(double a, double b, double c, double x1, double x2) {
		try {
			StringBuilder builder = new StringBuilder("Square equation ");
			builder.append(String.valueOf(a));
			builder.append("x^2+");
			builder.append(String.valueOf(b));
			builder.append("x+");
			builder.append(String.valueOf(c));
			builder.append(" has solution (");
			builder.append(String.valueOf(x1));
			builder.append(", ");
			builder.append(String.valueOf(x2));
			builder.append(")");
			return builder.toString();
		}
		catch (Exception e) {
			return "Incorrect data: " + e.getMessage();
		}
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Endpoint.publish("http://localhost:8083/ExamSvc/square",
				new AuthService());

	}
}
